
/****************************************************************************/
/***  customer.h                                                          ***/
/***    EIE universal dongle protection                                   ***/
/****************************************************************************/

#ifndef ULONG_DEFINED
typedef unsigned char uchar;
typedef unsigned char byte;
typedef unsigned int  uint;
typedef unsigned long ulong;
#define ULONG_DEFINED
#endif

#define PROTECTION_VERSION   134
#define PROTECTION_EXE_NAME  "CUSTOMER"
#define PROTECTION_FILE_NAME "CUSTOMER.CFG"
#define PROTECTION_NT_FILE   "DS1410NT"

/*****************/
/*** KeyStatus ***/
/*****************/
#define KEY_OK        1    /* You have all rights to use this module */
#define KEY_WARNING   2    /* Your licence will expire soon */
#define KEY_ALARM     3    /* Your licence is over for given module */
#define KEY_BADMODULE 4    /* You are not licenced to use this module */
#define KEY_NOTFOUND  5    /* Dongle Key not found */
#define EXE_CORRUPTED 6    /* CUSTOMER.EXE program is corrupted */
#define EXE_NOTFOUND  7    /* Can't run CUSTOMER.EXE */
#define EXE_BADDATA   8    /* Can't read CUSTOMER.CFG (or corrupted data) */

/*****************************************/
/*** unific eie software module number ***/
/*****************************************/

#define MODULE_MASTER 0    /* Mastering software */
#define MODULE_QRIP   1    /* QRIP software */
#define MODULE_OPTCNV 2    /* Optrotech to RS274X (Gerber) converter */
#define MODULE_DPFCNV 3    /* DPF to RS274X converter */
#define MODULE_FOS    4    /* Film Optimization Software */
#define MODULE_PSRP   5    /* EIE PostScript */
#define MODULE_MPS    6    /* Modular Plotting System */
#define MODULE_ODBCNV 7    /* ODB++ converter */
#define MODULE_SPARE1 8    /* ... */
#define MODULE_SPARE2 9    /* ... */
#define MODULES       10   /* ----- end----- (total number of protected modules) */

typedef struct product_s   /* General product data returned from ReadProductInfo */
{  long  Version;             /* Protection version */
   long  Module;              /* SofwareModule number */
   long  KeyStatus;           /* Dongle Key status */
   char  Licence[64];         /* Licenced for */
   char  Options[64];         /* Module options */
} PROT_PRODUCT;

void ReadProductInfo( int module, PROT_PRODUCT *p);
char *KeyStatusMessage( int KeyStatus);

